feldspar-compiler-0.6.0.2: Compiler for the Feldspar language

Safe Haskell | None

Feldspar.Transformation

# Documentation

class Transformable t Module => Plugin t where

Associated Types

type ExternalInfo t

Methods

executePlugin :: t -> ExternalInfo t -> Module (From t) -> Module (To t)

Instances

Plugin Collect |
Plugin ConstantFolding |
Plugin Free |
Plugin IVarPlugin |
Plugin BlockProgramHandler |
Plugin VariableRoleAssigner |
Plugin UnrollPlugin |
Plugin RulePlugin |
Plugin Precompilation |
Plugin DebugToC |
Plugin GetPrgSeqLoop |
Plugin GetPrgProcCall |
Plugin GetPrgBranch |
Plugin GetPrgAssign |
Plugin GetPrgParLoop |
Plugin TypeCorrector |
Plugin TypeDefinitionGenerator |